diff options
author | Jim Meyering <jim@meyering.net> | 2000-01-13 23:01:14 +0000 |
---|---|---|
committer | Jim Meyering <jim@meyering.net> | 2000-01-13 23:01:14 +0000 |
commit | 0567a5d9c888e9aa56fbc4c967fd9ad6cf7e0c4a (patch) | |
tree | a4bd127f7032fa8dbfacd17173a9ebb2a7602f9b /tests/unexpand/basic-1 | |
parent | a69a2d68560d3d1bc2cf9111d2d92d71d98b760d (diff) | |
download | coreutils-0567a5d9c888e9aa56fbc4c967fd9ad6cf7e0c4a.tar.xz |
*** empty log message ***
Diffstat (limited to 'tests/unexpand/basic-1')
-rwxr-xr-x | tests/unexpand/basic-1 | 37 |
1 files changed, 37 insertions, 0 deletions
diff --git a/tests/unexpand/basic-1 b/tests/unexpand/basic-1 new file mode 100755 index 000000000..3a9e2c6f6 --- /dev/null +++ b/tests/unexpand/basic-1 @@ -0,0 +1,37 @@ +#!/bin/sh + +: ${PERL=perl} +: ${srcdir=.} + +case "$PERL" in + *'missing perl') + echo 1>&2 "$0: configure didn't find a usable version of Perl, so can't run this test" + exit 77 + ;; +esac + +exec $PERL -w -I$srcdir/.. -MFetish -- - <<\EOF +require 5.003; +use strict; + +(my $program_name = $0) =~ s|.*/||; + +# Turn off localisation of executable's ouput. +@ENV{qw(LANGUAGE LANG LC_ALL)} = ('C') x 3; + +my $degenerate = "d41d8cd98f00b204e9800998ecf8427e"; + +my @Tests = + ( + # This would infloop prior to textutils-2.0d + ['infloop', '-t', '2,17', {IN=> " \t\t "}, {OUT=>"junk\n"}], + ['infloop', '-t', '1,2', {IN=> " \t\t "}, {OUT=>"junk\n"}], + ); + +my $save_temps = $ENV{DEBUG}; +my $verbose = $ENV{VERBOSE}; + +my $prog = $ENV{PROG} || die "$0: \$PROG not specified in environment\n"; +my $fail = run_tests ($program_name, $prog, \@Tests, $save_temps, $verbose); +exit $fail; +EOF |